GearmanWorker::wait
GearmanException
GearmanWorker
PHP Manual

# GearmanWorker::work

Wait for and perform jobs

### Description

public bool GearmanWorker::work ( void )

Waits for a job to be assigned and then calls the appropriate callback function. Issues an `E_WARNING` with the last Gearman error if the return code is not one of `GEARMAN_SUCCESS`, `GEARMAN_IO_WAIT`, or `GEARMAN_WORK_FAIL`.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 GearmanWorker::work example

`<?php
# create the worker
$worker = new GearmanWorker();
# add the default job server (localhost)
$worker->addServer();
# add the reverse function
$worker->addFunction("reverse", "my_reverse_function");
# start te worker listening for job submissions
while ($worker->work());
function my_reverse_function($job)
{
return strrev($job->workload());
}
?>`

### See Also

- GearmanWorker::addFunction